> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grant Overview Card

> Builds a grant overview with vested/settled progress, tabbed detail rows and live price when the token is live.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-grant-overview-card
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-grant-overview-card:
    get:
      operationId: getGrantOverviewCard
      summary: Get Grant Overview Card
      description: >-
        Builds a grant overview with vested/settled progress, tabbed detail rows
        and live price when the token is live.


        Not available to API keys.
      parameters:
        - name: grantID
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantOverviewCardResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantOverviewCardResponse:
      type: object
      properties:
        grantOverview:
          type: object
          properties:
            title:
              type: string
            grantAssetType:
              type: string
            vestingCards:
              type: array
              items:
                type: object
                properties:
                  title:
                    type: string
                  value:
                    oneOf:
                      - type: string
                      - type: number
                  color:
                    type: string
                  progress:
                    type:
                      - number
                      - 'null'
                  type:
                    type: string
                    enum:
                      - label
                      - badge
                      - progress
                required:
                  - title
                  - value
                  - type
            tablist:
              type: array
              items:
                type: object
                properties:
                  key:
                    type: string
                    enum:
                      - grantDetails
                      - vestingAndSettlementDetails
                      - taxInformation
                  tab:
                    type: string
                    enum:
                      - Grant Details
                      - Vesting And Settlement Details
                      - Tax Information
                required:
                  - key
                  - tab
            tabs:
              type: object
              properties:
                grantDetails:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      value:
                        oneOf:
                          - type: string
                          - type: number
                      toolTipContent:
                        type: string
                    required:
                      - title
                      - value
                vestingAndSettlementDetails:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      value:
                        oneOf:
                          - type: string
                          - type: number
                      toolTipContent:
                        type: string
                    required:
                      - title
                      - value
                taxInformation:
                  type: array
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                      value:
                        oneOf:
                          - type: string
                          - type: number
                      toolTipContent:
                        type: string
                    required:
                      - title
                      - value
              required:
                - grantDetails
                - vestingAndSettlementDetails
                - taxInformation
          required:
            - title
            - grantAssetType
            - vestingCards
            - tablist
            - tabs
        vestingPeriodType:
          type:
            - string
            - 'null'
          enum:
            - MONTHLY
            - QUARTERLY
            - SEMIANNUALLY
            - YEARLY
            - CUSTOM
            - DAILY
            - WEEKLY
            - null
        tags:
          type: array
          items:
            type: string
      required:
        - grantOverview
        - vestingPeriodType
        - tags
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
